# Class SimpleMailMergeField

#### Hierarchy

- SimpleField
  - SimpleMailMergeField

- Defined in src/file/paragraph/run/simple-field.ts:19

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new SimpleMailMergeField(fieldName: string): SimpleMailMergeField

- #### Parameters

  - ##### fieldName: string

  #### Returns SimpleMailMergeField

  Overrides SimpleField.constructor

  - Defined in src/file/paragraph/run/simple-field.ts:20

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from SimpleField.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from SimpleField.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc